Bug 109006 - Latest RH 2.4.20 kernels crash on my Dell PE2650 under havy disk io
Latest RH 2.4.20 kernels crash on my Dell PE2650 under havy disk io
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-04 03:14 EST by Rene Kapeller
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rene Kapeller 2003-11-04 03:14:16 EST
Description of problem:
RH kernels 2.4.20-20.9smp and 2.4.20-19.9smp crash (kernel trace) on
my Dell PE2650 after 1-3 hours while doing havy disk io.
RH kernel 2.4.20-8smp and 2.4.20-18.9smp do not have this problem! 

Version-Release number of selected component (if applicable):
Redhat-9.0 + glibc-2.3.2-27.9

How reproducible:
After testing for more than 10 days, I confirm 100% reproducibility.

Steps to Reproduce:
1. while 1; do dd if=/dev/zero of=big10 bs=1M count=10; done
2. wait ~1-3 hours
Actual results:
kernel trace on console, but no log file entry!

Expected results:

Additional info:
- The PE2650 has 2 x 2.4 GHz Xeon 
- Hyperthreading on/off does not influence the mentioned effect.
- Booting with 'noapic' still crashes system
- Using latest bcm5700 instead of tg3 makes not difference
- Doing disk io on local disk (PERC) or external FC disk makes no
Comment 1 Bugzilla owner 2004-09-30 11:41:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.